package com.wtkj.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Blizzard
 * @create at 2023-09-27 09:52
 * @describe
 */
@Data
public class SearchProjectFileDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@JsonSerialize(using = ToStringSerializer.class)
	@NotNull(message = "deptId can't be null")
	private Long topDeptId;

	private Long projectId;

	private Long createUser;

	private String text;

	private Integer current;

	private Integer size;

}
