package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import java.util.Date;

/**
 * @author Blizzard
 * @create at 2023-09-23 11:03
 * @describe
 */
@Data
@TableName("blade_announcement_send")
@EqualsAndHashCode(callSuper = true)
public class AnnouncementSend extends BaseEntity {

	private static final long serialVersionUID = 1L;

	/**
	 * 通告ID
	 */
	@TableField("anno_id")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long annoId;
	/**
	 * 用户id
	 */
	@TableField("user_id")
	private Long userId;
	/**
	 * 阅读状态（0未读，1已读）
	 */
	@TableField("read_flag")
	private Integer readFlag;

	@TableField("read_time")
	private Date readTime;

}
