package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * @author Blizzard
 * @create at 2023-09-26 15:04
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@TableName("blade_file_share")
@Data
public class FileShare extends BaseEntity {


	@ApiModelProperty("文件bladeFileIds")
	@TableField("blade_file_ids")
	@NotNull(message = "文件bladeFileIds不可为空")
	private String bladeFileIds;

}
