package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * @author Blizzard
 * @create at 2023-09-19 21:22
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@TableName("blade_project_group")
@Data
public class ProjectGroup extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@TableField("project_id")
	@ApiModelProperty(value = "项目id")
	private Long projectId;

	@TableField("stage_id")
	@ApiModelProperty(value = "阶段id")
	private Long stageId;

	@TableField("invite_dept")
	@ApiModelProperty(value = "发起邀请的机构")
	private Long inviteDept;

	@TableField("be_invited_dept")
	@ApiModelProperty(value = "接受邀请的机构")
	private Long beInvitedDept;

	@TableField("user_id")
	@ApiModelProperty(value = "接受邀请的用户")
	private Long userId;
}
