package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * @author Blizzard
 * @create at 2023-09-15 15:35
 * @describe 任务相关动态
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("blade_task_log")
public class TaskLog extends BaseEntity {

	private static final long serialVersionUID = 1L;


	@TableField("task_id")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long taskId;

	@TableField("content")
	private String content;

	@TableField("related_user")
	private String relatedUser;
}
