package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

/**
 * @author Blizzard
 * @create at 2023-09-15 23:47
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("blade_work_status")
public class WorkStatus extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty("用户id")
	@TableField("user_id")
	@JsonSerialize(using = ToStringSerializer.class)
	private Long userId;

	@TableField("work_status")
	@ApiModelProperty("状态图标")
	private Integer workStatus;

	@TableField("work_status_describe")
	@ApiModelProperty("状态词")
	private String workStatusDescribe;
}
