package com.wtkj.vo;

import com.wtkj.entity.Task;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-20 16:31
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class IndexTaskScheduleVO extends Task {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "项目名称")
	private String projectName;

	@ApiModelProperty(value = "项目经理")
	private String projectManagerUser;

	private List<String> tagsArray;
}
