package com.wtkj.config;

import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

/**
 * @author Blizzard
 * @create at 2023-09-19 11:08
 * @describe nacos配置中心读取 配置
 */
@Configuration
public class NacosConfigValue {


	public static long expireIn;

	public static long scanCount;

	public static String corpId;
	public static String qyAgentId;

	public static String qySecret;

	public static String txSecretId;

	public static String txSecretKey;

	@Value("${qrcode.expireIn}")
	public void setExpireIn(Long expireIn) {
		NacosConfigValue.expireIn = expireIn;
	}

	@Value("${qrcode.scanCount}")
	public void setScanCount(Long scanCount) {
		NacosConfigValue.scanCount = scanCount;
	}

	@Value("${qy.corpId}")
	public void setCorpId(String corpId) {
		NacosConfigValue.corpId = corpId;
	}

	@Value("${qy.agentId}")
	public void setCpAgentId(String qyAgentId) {
		NacosConfigValue.qyAgentId = qyAgentId;
	}

	@Value("${qy.secret}")
	public void setCpSecret(String qySecret) {
		NacosConfigValue.qySecret = qySecret;
	}

	@Value("${txCloud.secretId}")
	public void setTxSecretId(String secretId) {
		NacosConfigValue.txSecretId = secretId;
	}

	@Value("${txCloud.secretKey}")
	public void setTxSecretKey(String secretKey) {
		NacosConfigValue.txSecretKey = secretKey;
	}
}
