package com.wtkj.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.entity.FileAndFolder;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-14 15:03
 * @describe
 */
public interface FileAndFolderMapper extends BaseMapper<FileAndFolder> {
	List<FileAndFolder> selectByStage(Long stageId, IPage<FileAndFolder> page);

	Integer getFileAmountByFolderId(Long stageId, Long folderId);

	List<FileAndFolder> getChildrenFolderList(Long stageId, Long folderId);

	List<FileAndFolder> selectByParent(Long parentId, IPage<FileAndFolder> page);

	List<FileAndFolder> getChildrenFileList(Long stageId, Long parentId);

	List<FileAndFolder> getChildren(Long stageId, Long parentId);

	List<FileAndFolder> getPage(String projectId, Long stageId, Integer isLatest, IPage<FileAndFolder> page);

	Integer selectFileAmountByStageId(Long stageId);
}
