package com.wtkj.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.entity.InnerFileAndFolder;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-26 14:41
 * @describe
 */
public interface InnerFileAndFolderMapper extends BaseMapper<InnerFileAndFolder> {
	List<InnerFileAndFolder> getChildren(Long parentId);

	List<InnerFileAndFolder> getChildrenFolderList(Long deptId, Long parentId);

	List<InnerFileAndFolder> getPage(Long deptId, Long parentId, String name, IPage<InnerFileAndFolder> page);

	int getFileAmountByFolderId(Long deptId, Long parentId);

	List<InnerFileAndFolder> getChildrenFileList(Long deptId, Long parentId);
}
