package com.wtkj.service;

import com.wtkj.entity.FileRead;
import org.springblade.core.mp.base.BaseService;
import org.springblade.system.user.entity.User;

import java.util.List;
import java.util.Set;

/**
 * @author Blizzard
 * @create at 2023-09-15 11:14
 * @describe
 */
public interface IFileReadService extends BaseService<FileRead> {
	boolean readFile(FileRead read);

	List<FileRead> getByFileIds(Set<Long> fileIds);

	List<User> fileRead(String bladeFileId);

	boolean isRead(String bladeFileId, Long userId);
}
