package com.wtkj.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.entity.IndexMessage;
import com.wtkj.entity.Task;
import com.wtkj.vo.IndexProjectAndTaskSummaryVO;
import com.wtkj.vo.MyIndexTaskStatistics;
import com.wtkj.vo.ScheduleUserVO;

import java.util.List;
import java.util.Map;

/**
 * @author Blizzard
 * @create at 2023-09-20 14:51
 * @describe
 */
public interface IIndexService {
	IndexProjectAndTaskSummaryVO projectAndTaskSummary(Long topDept);


	IPage<IndexMessage> todoList(Integer isRead, IPage<IndexMessage> page);

	Object studyList(IPage<Object> page);

	IndexMessage messageDetail(Long id);

	List<ScheduleUserVO> schedule(Long topDept, String date);

	List<Task> scheduleExpand(Long userId, String date);

	List<Map<String, Integer>> mapStatistics(Long topDept, String date);

	MyIndexTaskStatistics myStatistics(String date);
}
