package com.wtkj.service;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.entity.InnerFileAndFolder;
import org.springblade.core.mp.base.BaseService;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-26 14:43
 * @describe
 */
public interface IInnerFileAndFolderService extends BaseService<InnerFileAndFolder> {


	List<InnerFileAndFolder> getChildren(Long deptId, Long parentId);

	IPage<InnerFileAndFolder> selectPage(Long deptId, Long parentId, String name, IPage<InnerFileAndFolder> page);

	JSONObject getPageAndFileAmount(Long deptId, Long parentId);

	Integer getFileAmountByFolderId(Long deptId, Long parentId);

	List<InnerFileAndFolder> getChildrenFilesByFolderId(Long deptId, Long parentId);

	List<InnerFileAndFolder> getChildrenFolderByFolderId(Long deptId, Long parentId);

}
