package com.wtkj.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.dto.ProjectPageDTO;
import com.wtkj.entity.Project;
import com.wtkj.vo.ProjectStatisticsVO;
import org.springblade.core.mp.base.BaseService;

import java.util.List;
import java.util.Set;

/**
 * @author Blizzard
 * @create at 2023-09-13 16:00
 * @describe
 */
public interface IProjectService extends BaseService<Project> {
	boolean submit(Project project);

	IPage<Project> getPage(ProjectPageDTO dto, IPage<Project> page);

	Set<Long> getByCreate(Long createDept, Long createUser);

	ProjectStatisticsVO projectStatistics(Long topDept, Integer deptCategory, String year);

	boolean delete(List<Long> projectIds);

}
