package com.wtkj.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.entity.TaskContract;
import org.springblade.core.mp.base.BaseService;

import java.util.List;
import java.util.Set;

/**
 * @author Blizzard
 * @create at 2023-09-18 09:52
 * @describe
 */
public interface ITaskContractService extends BaseService<TaskContract> {
	IPage<TaskContract> pageByTaskId(Long taskId, IPage<TaskContract> page);

	List<TaskContract> getByProjectIds(Set<Long> projectIds);

	List<TaskContract> getByDeptIdAndYear(Long topDept, Integer year, Set<Long> taskIds);

}
