package com.wtkj.service.impl;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.entity.FileAndFolderHistory;
import com.wtkj.mapper.FileAndFolderHistoryMapper;
import com.wtkj.service.IFileAndFolderHistoryService;
import lombok.AllArgsConstructor;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-14 16:14
 * @describe
 */
@Service
@AllArgsConstructor
public class FileAndFolderHistoryServiceImpl extends BaseServiceImpl<FileAndFolderHistoryMapper, FileAndFolderHistory> implements IFileAndFolderHistoryService {
	@Override
	public List<FileAndFolderHistory> getByLatestId(Long bladeFileId) {
		return baseMapper.selectByLatestId(bladeFileId);
	}

	@Override
	public IPage<FileAndFolderHistory> getPage(String fileId, IPage<FileAndFolderHistory> page) {
		return page.setRecords(baseMapper.getPage(fileId, page));
	}

}
