package com.wtkj.service.impl;

import com.wtkj.entity.ProjectAuth;
import com.wtkj.mapper.ProjectAuthMapper;
import com.wtkj.service.IProjectAuthService;
import lombok.AllArgsConstructor;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-13 17:37
 * @describe
 */
@Service
@AllArgsConstructor
public class ProjectAuthServiceImpl extends BaseServiceImpl<ProjectAuthMapper, ProjectAuth> implements IProjectAuthService {
	@Override
	public List<ProjectAuth> getByDeptAndUser(Long topDept, Long deptId, Long userId) {
		return baseMapper.selectByDeptAndUser(topDept, deptId, userId);
	}

	@Override
	public List<ProjectAuth> getByUserId(Long userId) {
		return baseMapper.selectByUser(userId);
	}

}
