package com.wtkj.util;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import lombok.Data;

/**
 * @author Blizzard
 * @create at 2023-10-07 09:33
 * @describe
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class Workload {

	@ExcelProperty(value = {"序号", "序号"})
	private String sn;

	@ExcelProperty(value = {"人员", "人员"})
	private String userName;

	@ExcelProperty(value = {"州（市）", "州（市）"})
	private String city;

	@Excel(name = "县（区）")
	@ExcelProperty(value = {"县（区）", "县（区）"})
	private String county;

	@ExcelProperty(value = {"项目名称（项目全称）", "项目名称（项目全称）"})
	@ColumnWidth(80)
	private String projectName;

	@Excel(name = "新写", groupName = "其他")
	@ExcelProperty(value = {"其他", "新写"})
	private Integer add;

	@ExcelProperty(value = {"其他", "修改"})
	private Integer alter;

	@ExcelProperty(value = {"可研", "新写"})
	private Integer add1;

	@ExcelProperty(value = {"可研", "修改"})
	private Integer alter1;

	@ExcelProperty(value = {"方案", "新写"})
	private Integer add2;

	@ExcelProperty(value = {"方案", "修改"})
	private Integer alter2;

	@ExcelProperty(value = {"方案", "发债成功"})
	private Integer success;

	@ExcelProperty(value = {"公众号", "公众号"})
	private Integer officialAccount;

	@ExcelProperty(value = {"回款", "回款"})
	private Integer returnPayment;

	@ExcelProperty(value = {"个人合计情况", "个人合计情况"})
	private Integer personal;

	@ExcelProperty(value = {"发布人", "发布人"})
	private String pubUser;

	@ExcelProperty(value = {"核对备注", "核对备注"})
	private String remark;
}
