package com.wtkj.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author Blizzard
 * @create at 2023-10-07 23:07
 * @describe
 */
@Data
public class MyTaskPageDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "type:1：全部 2:我创建的 3:我执行的 4:我管理的")
	private Integer type = 1;

	private Integer isGroup = 0;

	private Integer year;

	private Integer month;

	@NotNull(message = "current不可为空")
	private int current;

	@NotNull(message = "size不可为空")
	private int size;

	@ApiModelProperty(value = "当前登录用户的顶级机构id")
	@NotNull(message = "topDept不可为空")
	private Long topDept;

	@ApiModelProperty(value = "当前登录用户的机构类型")
	@NotNull(message = "deptCategory不可为空")
	private Integer deptCategory;
}
