package com.wtkj.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import javax.validation.constraints.NotBlank;
import java.io.Serializable;

/**
 * @author Blizzard
 * @create at 2023-09-20 11:44
 * @describe
 */
@Data
public class SelectFileDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	@NotBlank(message = "projectId不可为空")
	private String projectId;

	@JsonSerialize(using = ToStringSerializer.class)
	private Long stageId;

	private Integer isLatest;

	private Integer current;

	private Integer size;
}
