package com.wtkj.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.mp.base.BaseEntity;

import javax.validation.constraints.NotNull;

/**
 * @author Blizzard
 * @create at 2023-10-06 10:37
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("blade_apply_join")
public class ApplyJoin extends BaseEntity {

	private static final long serialVersionUID = 1L;

	@JsonSerialize(using = ToStringSerializer.class)
	@TableField("user_id")
	@NotNull(message = "userId can't be null")
	private Long userId;

	@JsonSerialize(using = ToStringSerializer.class)
	@TableField("dept_id")
	@NotNull(message = "deptId can't be null")
	private Long deptId;

	@TableField("is_agree")
	private Integer isAgree = 0;
}
