package com.wtkj.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.springblade.core.secure.BladeUser;
import org.springblade.system.user.entity.User;

/**
 * @author Blizzard
 * @create at 2023-09-14 11:25
 * @describe
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AuthUserInfo extends BladeUser {

	private static final long serialVersionUID = 1L;


	@ApiModelProperty(value = "当前登录用户的顶级部门ID")
	private Long topDept;

	@ApiModelProperty(value = "当前登录用户的顶级部门")
	private String topDeptName;

	@ApiModelProperty(value = "机构类别")
	private Integer deptCategory;


	private String deptName;

	private User user;


}
