package com.wtkj.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @author Blizzard
 * @create at 2023-09-21 10:47
 * @describe
 */
@Data
public class ProjectStatisticsVO implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "项目总数")
	private Integer projectCount = 0;

	@ApiModelProperty(value = "项目总投资")
	private BigDecimal totalAmount = BigDecimal.valueOf(0);

	@ApiModelProperty(value = "服务合同总投资")
	private BigDecimal contractAmount = BigDecimal.valueOf(0);

	@ApiModelProperty(value = "待完成任务总数")
	private Integer todoTask = 0;

	@ApiModelProperty(value = "风险预警")
	private Integer warns = 0;
}
