package com.wtkj.config;

import org.mybatis.spring.annotation.MapperScan;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Configuration;

/**
 * @author Blizzard
 * @create at 2023-09-15 09:20
 * @describe
 */
@Configuration
@ComponentScan({"org.springblade", "com.wutong"})
@EnableFeignClients({"org.springblade", "com.wutong"})
@MapperScan({"org.springblade.**.mapper.**", "com.wtkj.**.mapper.**"})
public class FeignConfig {
}
