package com.wtkj.handler.es;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import lombok.Data;

import java.io.Serializable;

/**
 * @author Blizzard
 * @create at 2023-09-27 14:50
 * @describe
 */
@Data
public class Document implements Serializable {

	private String id;

	@JsonSerialize(using = ToStringSerializer.class)
	private Long projectId;

	@JsonSerialize(using = ToStringSerializer.class)
	private Long fileId;

	private String fileName;

	@JsonSerialize(using = ToStringSerializer.class)
	private Long createUser;

	private String content;

	private Integer currentPage;
}
