package com.wtkj.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.wtkj.entity.TaskContract;

import java.util.List;
import java.util.Set;

/**
 * @author Blizzard
 * @create at 2023-09-18 09:50
 * @describe
 */
public interface TaskContractMapper extends BaseMapper<TaskContract> {
	List<TaskContract> selectByTaskId(Long taskId, IPage<TaskContract> page);

	List<TaskContract> getByProjectIds(Set<Long> projectIds);

	List<TaskContract> getByOrgDeptId(Long topDept, Integer year, Set<Long> taskIds);
}
