package com.wtkj.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.wtkj.entity.Task;

import java.util.List;
import java.util.Set;

/**
 * @author Blizzard
 * @create at 2023-09-15 15:17
 * @describe
 */
public interface TaskMapper extends BaseMapper<Task> {
	List<Task> selectByExecute(Long deptId, String userId);

	List<Task> todayTo(String userId, String date);

	List<Task> todayExpire(String userId, String date);

	List<Task> getTodoAndExpireByUserId(String userId, String date);

	List<Task> getByDeptAndDate(Long topDept, Long executeDept, String user, String date);

	List<Task> getByExecuteDept(Long deptId);

	List<Task> selectByCompetentUnit(Long deptId);

	List<Task> getTodayTodoByOrgDeptId(Long topDept, String date);

	List<Task> getTodoByYear(Set<Long> projectIds, Integer year);

	List<Task> selectLeftByDateAndStage(Long stageId, String date);

	List<Task> selectByDateAndStageAndStatus(Long stageId, String formatDate, Integer taskStatus);

	List<Task> selectCurrentDateCompleteByStageAndDate(Long stageId, String formatDate, Integer taskStatus);

	List<Task> getTodayToExpire(String date);

}
