package com.wtkj.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.wtkj.entity.TaskFile;
import com.wtkj.mapper.TaskFileMapper;
import com.wtkj.service.ITaskFileService;
import lombok.AllArgsConstructor;
import org.springblade.core.mp.base.BaseServiceImpl;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author Blizzard
 * @create at 2023-09-15 21:23
 * @describe
 */
@Service
@AllArgsConstructor
public class TaskFileServiceImpl extends BaseServiceImpl<TaskFileMapper, TaskFile> implements ITaskFileService {

	@Override
	public List<TaskFile> fileList(Long id) {
		LambdaQueryWrapper<TaskFile> lqw = new LambdaQueryWrapper<>();
		lqw.eq(TaskFile::getTaskId, id);
		return this.list(lqw);
	}

	@Override
	public TaskFile getByBladeFileId(Long taskId, Long bladeFileId) {
		return baseMapper.getByBladeFileId(taskId, bladeFileId);
	}
}
